# -*- coding: utf-8 -*-
from django.db import models

# Create your models here.
class Company(models.Model):
    nom = models.CharField(max_length=42, verbose_name='Nom')
    sigle = models.CharField(max_length=10, primary_key=True, verbose_name='Sigle')
    url = models.URLField(max_length=200, verbose_name='URL')
    
    def __unicode__(self):
        return u"%s"%self.sigle
    
    class Meta:
        verbose_name = 'Organisme'
        verbose_name_plural = 'Organismes'
#
class Lab(models.Model):
    sigle = models.CharField(max_length=10)
    nom = models.CharField(max_length=42)
    company = models.ForeignKey(Company)
    
    def __unicode__(self):
        return "%s" % self.sigle
#    
class Person(models.Model):
    GENDER_CHOICES = (
                      ('M', 'Male'),
                      ('F', 'Female'),
                      )
    lastname = models.CharField(max_length=42)
    firstname = models.CharField(max_length=42)

    gender = models.CharField(max_length=1, choices=GENDER_CHOICES)
    incription_date = models.DateTimeField(u"Date d'inscription")
    lab = models.ForeignKey(Lab)
    
    def __unicode__(self):
        return u"%s %s" % (self.firstname, self.lastname)
    
    class Meta:
        unique_together = (("lastname", "firstname"),)
    
    